<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, Virt-Manager" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Virt-Manager</title>
</head>
<body>
<?php require "assets/header.php"; ?>
<main>
    <section class="welcome">
        <h1>Jak nainstalovat Virt-Manager:</h1>
        <img alt="" src="img/546187.webp" style="width: 50%; height: auto;" /> <br/>
        <img alt="" src="img/virtManager_logo.webp" style="width: 50%; height: auto;"/>
        <h2>Jak nainstalovat Virt-Manager</h2>
        <p>
            Od svého zavedení ušla virtualizace dlouhou cestu. V současné době se
            hypervizory používají téměř pro vše, od provozování serverů na
            podnikové úrovni až po testování různých operačních systémů na
            počítači místního uživatele. Na světě je k dispozici mnoho placených i
            bezplatných řešení hypervizorů.
        </p>
        <p>
            Ale v této příručce se podíváme na instalaci jedné z těchto nejlepších
            bezplatných sad nástrojů používaných pro virtualizaci a skládá se z
            Virt-Manager , KVM a QEMU . Tato příručka vám ukáže, jak tyto nástroje
            správně nainstalovat. Než začneme, pojďme se s tímto softwarem trochu
            lépe seznámit.
        </p>
        <h3>Co je Virt-Manager?</h3>
        <p>
            <a href="https://virt-manager.org/" target="_blank">Virt-Manager</a>
            je grafické uživatelské rozhraní pro knihovnu, které poskytuje služby
            správy virtuálních strojů. Rozhraní Virt-manager umožňuje uživateli
            snadno vytvářet, mazat a manipulovat s virtuálními stroji, aniž by
            museli procházet terminálem.
        </p>
        <img alt="" src="img/virtManager.webp" style="width: 50%; height: auto;"/>
        <p>
            Virt-manager podporuje hlavně KVM, ale může pracovat i s jinými
            hypervizory, jako jsou Xen a LXC .
        </p>
        <p>
            Když je virt-manager nainstalován, je dodáván s níže uvedenou sadou
            nástrojů.
        </p>
        <p>
            * <strong>virt-install</strong>: Nástroj příkazového řádku pro
            poskytování OS
        </p>
        <p>
            * <strong>virt-viewer</strong>: Rozhraní uživatelského rozhraní s
            grafickými funkcemi
        </p>
        <p>
            * <strong>virt-clone</strong>: Nástroj příkazového řádku pro klonování
            existujících neaktivních hostitelů
        </p>
        <p>
            * <strong>virt-xml</strong>: Nástroj příkazového řádku pro snadnou
            úpravu XML domény libvirt pomocí voleb příkazového řádku virt-install.
        </p>
        <p>
            * <strong>virt-bootstrap</strong>: Příkazový nástroj poskytující
            snadný způsob, jak nastavit kořenový souborový systém pro kontejnery
            založené na libvirt.
        </p>
        <h3>KVM</h3>
        <p>
            Písmena
            <a href="https://www.linux-kvm.org/page/Main_Page" target="_blank"
            >KVM</a
            >
            znamenají <strong>K</strong>ernel-based <strong>V</strong>irtual
            <strong>M</strong>achines. KVM je linuxové plně virtualizační řešení
            pro procesory architektury x86, které má virtualizační rozšíření
            (Intel VT a AMD-V).
        </p>
        <p>
            KVM je bezplatný jako open-source software. Podpora KVM je součástí
            všech nových linuxových jader záměrně.
        </p>
        <h3>QEMU</h3>
        <p><a href="https://www.qemu.org/" target="_blank">QEMU</a> e zkrácená verze Quick lator , EMU což je bezplatný
            emulátor s otevřeným zdrojovým kódem, který může provádět virtualizaci hardwaru. Emuluje procesor
            hostitelského počítače prostřednictvím dynamického binárního překladu. To poskytuje různé sady modelů
            hardwaru a zařízení pro hostitelský počítač, což mu umožňuje provozovat různé hostované systémy. </a></p>
        <p>

            KVM lze použít s QEMU, což umožňuje provoz virtuálních strojů téměř s nativní rychlostí. QEMU není jen
            emulace hardwaru, ale dokáže emulovat procesory na uživatelské úrovni, které umožňují aplikacím kompilovaným
            pro jednu architekturu běžet na jiné. </p>
        <h3>Instalace Virt-Manager</h3>
        <p>1. Instalace všech blíčkůke spuštění virt-manager.</p>
        <p>Základní instalace:</p>
        <p><code><strong>sudo pacman -Syu virt-manager qemu-desktop dnsmasq iptables-nft</strong></code></p>
        <p>Plně vybavená instalace:</p>
        <p><code><strong>sudo pacman -Syu --needed virt-manager qemu-desktop libvirt edk2-ovmf dnsmasq vde2 bridge-utils
            iptables-nft dmidecode</strong></code></p>
        <p>* <a href="https://archlinux.org/packages/extra/any/edk2-ovmf/" target="_blank">edk2-ovmf</a>: ovmf je
            projekt založený na <a href="https://github.com/tianocore/tianocore.github.io/wiki/EDK-II" target="_blank">EDK
                II</a>, který umožňuje podporu <a href="https://github.com/tianocore/tianocore.github.io/wiki/UEFI"
                                                  target="_blank">UEFI</a> pro virtuální stroje.</p>
        <p>*
            <a href="http://edk2-ovmf:  ovmf  is an EDK II based project to enable UEFI support for Virtual Machines. iptables-nft https://archlinux.org/packages/core/x86_64/iptables-nft/"
               target="_blank">iptables-nft</a>: Nástroj pro řízení paketů jádra Linuxu (pomocí rozhraní nft).</p>
        <p>* <a href="https://archlinux.org/packages/extra/x86_64/bridge-utils/" target="_blank">bridge-utils</a>:
            ethernetové mostové nástroje.</p>
        <p>2. Po dokončení instalace musíte povolit službu libvirtd, pokud potřebujete <a
                href="https://en.wikipedia.org/wiki/LXC" target="_blank">LXC</a> k dispozici, pro relaci qemu není
            potřeba!</p>
        <p><code><strong>sudo systemctl enable --now libvirtd.service</strong></code></p>
        <p>3. Zkontrolujte stav, abyste se ujistili, že služba běží. </p>
        <p><code><strong>systemctl status libvirtd.service</strong></code></p>
        <p><strong>Nyní budete moci začít vytvářet nastavení virtuálního počítače přes aplikaci. </strong></p>
        <p>Připojení QEMU nevyžaduje <code><strong>libvirtd.service</strong></code> běh!</p>
        <h3>Volitelná funkčnost</h3>
        <p>Balíčky pro extra funkce:</p>
        <p>* <a href="https://www.archlinux.org/packages/?name=qemu-arch-extra" target="_blank">qemu-arch-extra</a> -
            podpora dalších architektur</p>
        <p>* <a href="https://www.archlinux.org/packages/?name=qemu-block-gluster"
                target="_blank">qemu-block-gluster</a> - <a href="https://wiki.archlinux.org/index.php/Glusterfs"
                                                            target="_blank">Glusterfs</a> podpora bloku </p>
        <p>* <a href="https://www.archlinux.org/packages/?name=qemu-block-iscsi" target="_blank">qemu-block-iscsi</a> -
            <a href="https://wiki.archlinux.org/index.php/ISCSI" target="_blank">iSCSI</a> podpora bloků</p>
        <p>* <a href="https://www.archlinux.org/packages/?name=qemu-block-rbd" target="_blank">qemu-block-rbd</a>
            podpora bloků RBD</p>
        <h3>Síť:</h3>
        <p>Pokud je síť po restartování hostitelského počítače zakázána a nenajdete způsob, jak ji povolit, můžete ji
            povolit ve výchozím nastavení z příkazového řádku. Toto bude fungovat po restartování hostitele: </p>
        <p><code><strong>sudo virsh net-autostart default</strong></code></p>
        <img alt="" src="img/2020-08-18_08-59.webp" style="width: 50%; height: auto;">
        <h3>libquestsf</h3>
        <p>Pokud si přejete upravit vytvořené obrazy disku virtuálního stroje, můžete nainstalovat <a
                href="https://www.libguestfs.org/" target="_blank">libguestfs</a> . Jedná se o sadu nástrojů, které
            umožňují uživateli prohlížet a upravovat soubory v hostovaných systémech, měnit změny skriptů VM,
            monitorovat místo na disku, vytvářet nové hosty, P2V, V2V, provádět zálohy, klonovat VM a mnoho dalšího.
        </p>
        <p>Instalace:</p>
        <p><code><strong>yay -S libguestfs</strong></code></p>
        <h3>qemu-emulators-full</h3>
        <p>Všechny emulátory uživatelského režimu a systému QEMU.</p>
        <p><code><strong>yay -S qemu-emulators-full</strong></code></p>
        <h3>qemu-block-gluster</h3>
        <p>Glusterfs je škálovatelný síťový souborový systém. To přidává podporu bloku Glusterfs do QEMU. </p>
        <p><code><strong>yay -S qemu-block-gluster</strong></code></p>
        <h3>qemu-block-iscsi</h3>
        <p>iSCI umožňuje přístup k úložišti prostřednictvím sítě. <code><strong>qemu-block-iscsi</strong></code>
            umožňuje QEMU blokovat.</p>
        <p><code><strong>yay -S qemu-block-iscsi</strong></code></p>
        <h3>samba</h3>
        <p>To to přidá podporu pro <a href="https://wiki.archlinux.org/title/Samba" target="_blank">SMB/CIFS</a> QEMU.
        </p>
        <p><code><strong>yay -S samba</strong></code></p>
        <h2>Instalace hostujících ovladačů virtio pro Windows </h2>
        <p>RedHat dodává sadu hostujících ovladačů pro virtio, které pokrývají grafické ovladače pro hostující systém.
            Nejnovější ovladače si můžete stáhnout z jejich <strong>GitHub virtio-win-pkg-scripts</strong> <a
                    href="https://github.com/virtio-win/virtio-win-pkg-scripts/blob/master/README.md" target="_blank">zde</a>.
        </p>
        <p>Článek je převzat z EndeavourOS <a
                href="https://discovery.endeavouros.com/applications/how-to-install-virt-manager-complete-edition/2021/09/"
                target="_blank">discovery</a> a data září 2021.</p>
        <p>
            <code
            ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                19.4.2024</code
            >
        </p>
    </section>
</main>
<?php require "assets/returnbutton.php"; ?>
<?php require "assets/footer.php"; ?>

<script src="assets/script.js"></script>
</body>
</html>
